<?xml version="1.0" encoding="UTF-8"?>
<jasperReport
    xmlns="http://jasperreports.sourceforge.net/jasperreports"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd"
    name="blankA4"
    language="groovy"
    pageWidth="595"
    pageHeight="842"
    whenNoDataType="AllSectionsNoDetail"
    columnWidth="555"
    leftMargin="20"
    rightMargin="20"
    topMargin="20"
    bottomMargin="20">
    <!-- param_definition_4d -->
    <queryString>
        <![CDATA[SELECT * FROM report_data]]>
    </queryString>
    <!-- field_definition_4d -->
    <field name="pr_asProduct_id" class="java.lang.String"/>
    <field name="wo_asCompany_id" class="java.lang.String"/>
    <field name="wo_arStarted_Amount" class="java.lang.Double"/>
    <!-- var_definition_4d -->
    <variable name="wo_tCustomerOrderNumber" class="java.lang.String"/>
    <variable name="wo_tPhases" class="java.lang.String"/>
    <variable name="wo_dDeliveryDate" class="java.lang.String"/>
    <variable name="wo_tSalesProduct" class="java.lang.String"/>

    <group name="group_total_4d">
        <groupFooter>
            <band height="1">
                <!-- group_total_4d -->
            </band>
        </groupFooter>
    </group>

    <!-- group1_4d -->
    <group name="Section_2">
        <groupHeader>
            <band height="1">
                <!-- group1Header_4d -->
            </band>
        </groupHeader>
        <groupFooter>
            <band height="1">
                <!-- group1Footer_4d -->
            </band>
        </groupFooter>

    </group>

    <!-- group2_4d -->
    <!-- group3_4d -->
    <!-- group4_4d -->
    <!-- group5_4d -->
    <!-- group6_4d -->
    <background>
        <band/>
    </background>
    <!-- title -->
    <!-- pageHeader -->
    <!-- columnHeader -->
    <!-- detail -->
    <detail>
        <band height="208">
            <!-- body_4d -->
            <textField>
                <reportElement x="-15" y="55" width="154" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.String">
                    <![CDATA[$F{pr_asProduct_id}]]>
                </textFieldExpression>
            </textField>
            <staticText>
                <reportElement x="-15" y="43" width="154" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Tuote:]]>
                </text>
            </staticText>
            <textField>
                <reportElement x="-15" y="28" width="154" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.String">
                    <![CDATA[$F{wo_asCompany_id}]]>
                </textFieldExpression>
            </textField>
            <staticText>
                <reportElement x="-15" y="16" width="154" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Asiakas:]]>
                </text>
            </staticText>
            <textField>
                <reportElement x="145" y="28" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.String">
                    <![CDATA[$V{wo_tCustomerOrderNumber}]]>
                </textFieldExpression>
            </textField>
            <staticText>
                <reportElement x="145" y="16" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Asiakkaan tilausnumero:]]>
                </text>
            </staticText>
            <line>
                <reportElement x="142" y="14" width="1" height="187"/>
            </line>
            <line>
                <reportElement x="-18" y="14" width="275" height="0"/>
            </line>
            <textField>
                <reportElement x="145" y="83" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.Double">
                    <![CDATA[$F{wo_arStarted_Amount}]]>
                </textFieldExpression>
            </textField>

            <staticText>
                <reportElement x="145" y="71" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Tilattu kpl:]]>
                </text>
            </staticText>
            <textField>
                <reportElement x="144" y="164" width="112" height="25"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.String">
                    <![CDATA[$V{wo_tPhases}]]>
                </textFieldExpression>
            </textField>
            <staticText>
                <reportElement x="145" y="152" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Työvaiheet:]]>
                </text>
            </staticText>
            <textField>
                <reportElement x="145" y="137" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.String">
                    <![CDATA[$V{wo_dDeliveryDate}]]>
                </textFieldExpression>
            </textField>
            <staticText>
                <reportElement x="145" y="125" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Toimituspäivä:]]>
                </text>
            </staticText>
            <textField>
                <reportElement x="145" y="55" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <textFieldExpression class="java.lang.String">
                    <![CDATA[$V{wo_tSalesProduct}]]>
                </textFieldExpression>
            </textField>
            <staticText>
                <reportElement x="145" y="43" width="111" height="13"/>
                <textElement >
                    <font fontName="Arial" size="9"/>
                    <!-- Font_4d -->
                </textElement>
                <text>
                    <![CDATA[Setti:]]>
                </text>
            </staticText>
            <line>
                <reportElement x="-18" y="201" width="275" height="0"/>
            </line>
            <line>
                <reportElement x="-18" y="14" width="1" height="186"/>
            </line>
            <line>
                <reportElement x="257" y="15" width="1" height="186"/>
            </line>
            <line>
                <reportElement x="-18" y="69" width="275" height="0"/>
            </line>
            <line>
                <reportElement x="142" y="96" width="115" height="0"/>
            </line>
            <line>
                <reportElement x="-18" y="41" width="275" height="0"/>
            </line>
            <line>
                <reportElement x="142" y="123" width="115" height="0"/>
            </line>
            <line>
                <reportElement x="142" y="150" width="115" height="0"/>
            </line>
            <image>
                <reportElement x="-15" y="75" width="155" height="109"/>
                <imageExpression>
                    <![CDATA["$V{_pict}"]]>
                </imageExpression>
            </image>
        </band>
    </detail>
    <!-- columnFooter -->
    <!-- pageFooter -->
    <summary>
        <band height="0"/>
    </summary>
</jasperReport>
